Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.portlet.handler
Class PortletSessionRequiredException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.portlet.PortletException
                  org.springframework.web.portlet.handler.PortletSessionRequiredException

All Implemented Interfaces:
  Serializable

    public class PortletSessionRequiredException

extends PortletException

Exception thrown when a portlet content generator requires a pre-existing session.

Since:
  2.0
Author:
  John A. Lewis
See Also:
  `PortletContentGenerator`, Serialized Form

Constructor Summary
`PortletSessionRequiredException(String msg)` Create a new PortletSessionRequiredException.

Method Summary

Methods inherited from class javax.portlet.PortletException
`getCause, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PortletSessionRequiredException

    public PortletSessionRequiredException(String msg)

  Create a new PortletSessionRequiredException.

  Parameters:
    `msg` - the detail message

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD